﻿using Microsoft.Extensions.Options;
using ReactiveUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvaloniaApplication4.AdditionalModels
{
    /// <summary>
    /// класс для создания объектов в панели меню
    /// </summary>
    public class MenuElement: ReactiveObject
    {
        private int idElement;
        private string? nameElement;
        public int IdElement { get => idElement; set => this.RaiseAndSetIfChanged(ref idElement, value); }
        public string? NameElement { get => nameElement; set => this.RaiseAndSetIfChanged(ref nameElement, value); }
    }
}
