﻿using System;
using System.Collections.Generic;

namespace AvaloniaApplication4.Models;

public partial class RunningProgram
{
    public int IdRunningPrograms { get; set; }

    public int IdProgramTemplate { get; set; }

    public DateOnly? DateStart { get; set; }

    public DateOnly? DateEnd { get; set; }

    public int IdStatus { get; set; }

    public int IdTutor { get; set; }

    public int IdSecretary { get; set; }

    public int IdTrainingStandart { get; set; }

    public virtual ProgramTemplate IdProgramTemplateNavigation { get; set; } = null!;

    public virtual User IdSecretaryNavigation { get; set; } = null!;

    public virtual ProgramStatus IdStatusNavigation { get; set; } = null!;

    public virtual TrainingStandart IdTrainingStandartNavigation { get; set; } = null!;

    public virtual User IdTutorNavigation { get; set; } = null!;

    public virtual ICollection<ProgramsWithModule> ProgramsWithModules { get; set; } = new List<ProgramsWithModule>();

    public virtual ICollection<ProgramsWithStudent> ProgramsWithStudents { get; set; } = new List<ProgramsWithStudent>();

    public virtual ICollection<ProgramsWithSubject> ProgramsWithSubjects { get; set; } = new List<ProgramsWithSubject>();
}
