using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using AvaloniaApplication4.Models;
using Microsoft.EntityFrameworkCore;
using ReactiveUI;

namespace AvaloniaApplication4.ViewModels
{
	public class LogsViewModel : ViewModelBase
	{
		List<Log> logs;

        public LogsViewModel()
        {
            logs = dataBase.Logs.Include(x=>x.IdUserNavigation).ToList();
        }

        public List<Log> Logs { get => logs; set => logs = value; }
    }
}