using System;
using System.Collections.Generic;
using AvaloniaApplication4.Models;
using ReactiveUI;
using Tmds.DBus.Protocol;

namespace AvaloniaApplication4.ViewModels
{
	public class StartPageViewModel : ViewModelBase
	{
		User? user;
        private string name = string.Empty;

        public StartPageViewModel(User? user)
        {
            this.user = user;
            if (user != null)
            {
                Name = user.Surname + " " + user.Name + " " + user.Patronumic + "!";
            }
            WriteToLog(user.IdUser, "()   ");
        }

        public string Name
        {
            get { return name; }
            set
            {
                if (name == value)
                    return;

                name = value;
                OnPropertyChanged("Name");
            }
        }
    }
}