using Avalonia.Controls;
using AvaloniaApplication4.AdditionalModels;
using AvaloniaApplication4.Models;
using AvaloniaApplication4.ViewModels;

namespace AvaloniaApplication4.Views.ActionPages
{
    public partial class EditAndAddProgram : UserControl
    {
        public EditAndAddProgram(User? user, ref GlobalsData globalsData)
        {
            InitializeComponent();
            DataContext = new EditAndAddProgramViewModel(globalsData,user);
        }
        public EditAndAddProgram(User? user, ref GlobalsData globalsData, RunningProgram runningProgram)
        {
            InitializeComponent();
            DataContext = new EditAndAddProgramViewModel(globalsData,user,runningProgram);
        }
    }
}
