using Avalonia.Controls;
using AvaloniaApplication4.AdditionalModels;
using AvaloniaApplication4.Models;
using AvaloniaApplication4.ViewModels;

namespace AvaloniaApplication4.Views.ActionPages
{
    public partial class EditAndAddStudent : UserControl
    {
        public EditAndAddStudent(User? user,ref GlobalsData globalsData)
        {
            DataContext = new EditAndAddStudentViewModel(user,ref globalsData);
            InitializeComponent();
            delBtn.IsVisible = false;
            saveBtn.IsVisible = true;
        }
        public EditAndAddStudent(User? user,Student student, ref GlobalsData globalsData)
        {
            DataContext = new EditAndAddStudentViewModel(user,student, ref globalsData);
            InitializeComponent();
            delBtn.IsVisible = true;
            saveBtn.IsVisible = true;
        }
    }
}
