using Avalonia.Controls;
using AvaloniaApplication4.AdditionalModels;
using AvaloniaApplication4.Models;
using AvaloniaApplication4.ViewModels;
using System.Reactive.Subjects;

namespace AvaloniaApplication4.Views.ActionPages
{
    public partial class EditAndAddSubject : UserControl
    {
        public EditAndAddSubject(User? user, ref GlobalsData globalsData)
        {
            InitializeComponent();
            DataContext = new EditAndAddSubjectViewModel(globalsData, user);
        }
        public EditAndAddSubject(User? user, ref GlobalsData globalsData, Models.Subject subject)
        {
            InitializeComponent();
            DataContext = new EditAndAddSubjectViewModel(globalsData, user, subject);
        }
    }
}
