using Avalonia.Controls;
using AvaloniaApplication4.AdditionalModels;
using AvaloniaApplication4.Models;
using AvaloniaApplication4.ViewModels;

namespace AvaloniaApplication4.Views
{
    public partial class EditAndAddEmployee : UserControl
    {
        public EditAndAddEmployee(User? user, ref GlobalsData globalsData)
        {
            InitializeComponent();
            DataContext = new EditAndAddEmployeeViewModel(globalsData, user);
        }
        public EditAndAddEmployee(User? user, ref GlobalsData globalsData, User employee)
        {
            InitializeComponent();
            DataContext = new EditAndAddEmployeeViewModel(globalsData,user, employee);
        }
    }
}
