﻿using AvaloniaApplication4.Models;
using ReactiveUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvaloniaApplication4.AdditionalModels
{
    /// <summary>
    /// шаблон для вкладки студенты (доп функция)
    /// </summary>
    internal class StudentsTemplate: ReactiveObject
    {
        private List<ProgramsWithStudent> studentsList = new List<ProgramsWithStudent>();
        public List<ProgramsWithStudent> StudentsList { get => studentsList; set => this.RaiseAndSetIfChanged(ref studentsList, value); }
        public RunningProgram Program { get; }

        public StudentsTemplate(RunningProgram program, List<ProgramsWithStudent> studentsList)
        {
            Program = program;
            StudentsList = studentsList;
        }
    }
}
