﻿using System;
using System.Collections.Generic;

namespace AvaloniaApplication4.Models;

public partial class User
{
    public int IdUser { get; set; }

    public string Name { get; set; } = null!;

    public string Surname { get; set; } = null!;

    public string? Patronumic { get; set; }

    public virtual ICollection<Log> Logs { get; set; } = new List<Log>();

    public virtual ICollection<ProgramsWithSubject> ProgramsWithSubjects { get; set; } = new List<ProgramsWithSubject>();

    public virtual ICollection<RunningProgram> RunningProgramIdSecretaryNavigations { get; set; } = new List<RunningProgram>();

    public virtual ICollection<RunningProgram> RunningProgramIdTutorNavigations { get; set; } = new List<RunningProgram>();

    public virtual UsersLogin? UsersLogin { get; set; }

    public virtual ICollection<UsersWithRole> UsersWithRoles { get; set; } = new List<UsersWithRole>();
}
