using System;
using System.Collections.Generic;
using System.Linq;
using Avalonia.Controls;
using AvaloniaApplication4.Models;
using AvaloniaApplication4.Views;
using ReactiveUI;

namespace AvaloniaApplication4.ViewModels
{
	public class StartPageLoginViewModel : ViewModelBase
	{
        private string? message = "";
        public string? Login { get; set; }
        public string? Password { get; set; }
        public string? Message
        {
            get { return message; }
            set
            {
                if (message == value)
                    return;

                message = value;
                OnPropertyChanged("Message");
            }
        }

        public void Next()
        {
            UsersLogin? currentUser = dataBase.UsersLogins.FirstOrDefault(x => x.Password == Password && x.UserEmail == Login);
            User? user;
            if (currentUser == null) Message = "   ";
            else
            {
                Message = "";
                user = dataBase.Users.FirstOrDefault(x => x.IdUser == currentUser.IdUser);
                MainUserControl = new MainPage(user);
            }
        }
    }
}