using Avalonia.Controls;
using AvaloniaApplication4.AdditionalModels;
using AvaloniaApplication4.Models;
using AvaloniaApplication4.ViewModels;

namespace AvaloniaApplication4.Views.ActionPages
{
    public partial class EditAndAddModule : UserControl
    {
        public EditAndAddModule(User? user, ref GlobalsData globalsData)
        {
            InitializeComponent();
            DataContext = new EditAndAddModuleViewModel(globalsData, user);
        }
        public EditAndAddModule(User? user, ref GlobalsData globalsData, Module module)
        {
            InitializeComponent();
            DataContext = new EditAndAddModuleViewModel(globalsData,user,module);
        }
    }
}
