using Avalonia.Controls;
using AvaloniaApplication4.AdditionalModels;
using AvaloniaApplication4.Models;
using AvaloniaApplication4.ViewModels;

namespace AvaloniaApplication4.Views.ActionPages
{
    public partial class EditAndAddProgramTemplate : UserControl
    {
        public EditAndAddProgramTemplate(User? user, ref GlobalsData globalsData)
        {
            InitializeComponent();
            DataContext = new EditAndAddProgramTemplateViewModel(globalsData, user);
        }
        public EditAndAddProgramTemplate(User? user, ref GlobalsData globalsData, ProgramTemplate programTemplate)
        {
            InitializeComponent();
            DataContext = new EditAndAddProgramTemplateViewModel(globalsData, user, programTemplate);
        }
    }
}
